Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/BestTSPSolutionAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/BestTSPSolutionAnalyzer.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/BestTSPSolutionAnalyzer.cs	(revision 14711)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("BestTSPSolutionAnalyzer", "An operator for analyzing the best solution of Traveling Salesman Problems given in path representation using city coordinates.")]
-  [StorableClass("93FBABDD-63C5-4000-A0AF-8ADDE1DCAFD6")]
+  [StorableType("93FBABDD-63C5-4000-A0AF-8ADDE1DCAFD6")]
   public sealed class BestTSPSolutionAnalyzer : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator {
     public bool EnabledByDefault {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/TSPAlleleFrequencyAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/TSPAlleleFrequencyAnalyzer.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/TSPAlleleFrequencyAnalyzer.cs	(revision 14711)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("TSPAlleleFrequencyAnalyzer", "An operator for analyzing the frequency of alleles in solutions of Traveling Salesman Problems given in path representation.")]
-  [StorableClass("37BC44F2-3DAC-4382-A8A7-AB2CABA56451")]
+  [StorableType("37BC44F2-3DAC-4382-A8A7-AB2CABA56451")]
   public sealed class TSPAlleleFrequencyAnalyzer : AlleleFrequencyAnalyzer<Permutation> {
     public LookupParameter<DoubleMatrix> CoordinatesParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/TSPPopulationDiversityAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/TSPPopulationDiversityAnalyzer.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/TSPPopulationDiversityAnalyzer.cs	(revision 14711)
@@ -37,5 +37,5 @@
   [NonDiscoverableType]
   [Item("TSPPopulationDiversityAnalyzer", "An operator for analyzing the diversity of solutions of Traveling Salesman Problems given in path representation.")]
-  [StorableClass("555FC028-D1CB-457E-8FB2-3822D01FA8F9")]
+  [StorableType("555FC028-D1CB-457E-8FB2-3822D01FA8F9")]
   public sealed class TSPPopulationDiversityAnalyzer : PopulationDiversityAnalyzer<Permutation> {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/DistanceMatrix.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/DistanceMatrix.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/DistanceMatrix.cs	(revision 14711)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("DistanceMatrix", "Represents a distance matrix of a Traveling Salesman Problem.")]
-  [StorableClass("F92F37AE-51DD-4903-AF6A-DD64B15A031F")]
+  [StorableType("F92F37AE-51DD-4903-AF6A-DD64B15A031F")]
   public sealed class DistanceMatrix : DoubleMatrix {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPCoordinatesPathEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPCoordinatesPathEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPCoordinatesPathEvaluator.cs	(revision 14711)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("TSPCoordinatesPathEvaluator", "A base class for operators which evaluate TSP solutions given in path representation using city coordinates.")]
-  [StorableClass("E3C6028D-2A63-4EEF-9ADB-1973D26182DF")]
+  [StorableType("E3C6028D-2A63-4EEF-9ADB-1973D26182DF")]
   public abstract class TSPCoordinatesPathEvaluator : TSPEvaluator, ITSPCoordinatesPathEvaluator {
     private object locker = new object();
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPDistanceMatrixEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPDistanceMatrixEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPDistanceMatrixEvaluator.cs	(revision 14711)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("TSPDistanceMatrixEvaluator", "Evaluate TSP solutions given in path representation using the distance matrix.")]
-  [StorableClass("94453741-C017-435E-A447-F8262D59E6BF")]
+  [StorableType("94453741-C017-435E-A447-F8262D59E6BF")]
   public sealed class TSPDistanceMatrixEvaluator : TSPEvaluator, ITSPDistanceMatrixEvaluator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPEuclideanPathEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPEuclideanPathEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPEuclideanPathEvaluator.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("TSPEuclideanPathEvaluator", "An operator which evaluates TSP solutions given in path representation using the Euclidean distance metric.")]
-  [StorableClass("5B8BAFBB-4238-4FDF-9469-1397E9A346E8")]
+  [StorableType("5B8BAFBB-4238-4FDF-9469-1397E9A346E8")]
   public sealed class TSPEuclideanPathEvaluator : TSPCoordinatesPathEvaluator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPEvaluator.cs	(revision 14711)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("TSPEvaluator", "A base class for operators which evaluate TSP solutions.")]
-  [StorableClass("D77A51C2-37E9-4EF2-9CFA-36B36ED4D802")]
+  [StorableType("D77A51C2-37E9-4EF2-9CFA-36B36ED4D802")]
   public abstract class TSPEvaluator : InstrumentedOperator, ITSPEvaluator {
     public override bool CanChangeName {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPGeoPathEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPGeoPathEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPGeoPathEvaluator.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("TSPGeoPathEvaluator", "An operator which evaluates TSP solutions given in path representation using the GEO distance metric (globe coordinates).")]
-  [StorableClass("82A42F17-C81D-47DE-9B3B-539C7641BDAE")]
+  [StorableType("82A42F17-C81D-47DE-9B3B-539C7641BDAE")]
   public sealed class TSPGeoPathEvaluator : TSPCoordinatesPathEvaluator {
     private const double PI = 3.141592;
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPRoundedEuclideanPathEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPRoundedEuclideanPathEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPRoundedEuclideanPathEvaluator.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("TSPRoundedEuclideanPathEvaluator", "An operator which evaluates TSP solutions given in path representation using the rounded Euclidean distance metric.")]
-  [StorableClass("D00B8E4C-8660-43B2-BD79-577639CF81C0")]
+  [StorableType("D00B8E4C-8660-43B2-BD79-577639CF81C0")]
   public sealed class TSPRoundedEuclideanPathEvaluator : TSPCoordinatesPathEvaluator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPUpperEuclideanPathEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPUpperEuclideanPathEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPUpperEuclideanPathEvaluator.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("TSPUpperEuclideanPathEvaluator", "An operator which evaluates TSP solutions given in path representation using the rounded up Euclidean distance metric.")]
-  [StorableClass("243A948D-9404-4FD0-B4D5-A23A483C2738")]
+  [StorableType("243A948D-9404-4FD0-B4D5-A23A483C2738")]
   public sealed class TSPUpperEuclideanPathEvaluator : TSPCoordinatesPathEvaluator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Improvers/TSPImprovementOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Improvers/TSPImprovementOperator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Improvers/TSPImprovementOperator.cs	(revision 14711)
@@ -38,5 +38,5 @@
   /// </remarks>
   [Item("TSPImprovementOperator", "An operator that improves traveling salesman solutions. The operator tries to improve the traveling salesman solution by swapping two randomly chosen edges for a certain number of times.")]
-  [StorableClass("197E1043-C0F7-4F09-AF71-8489DB13D219")]
+  [StorableType("197E1043-C0F7-4F09-AF71-8489DB13D219")]
   public sealed class TSPImprovementOperator : SingleSuccessorOperator, ISingleObjectiveImprovementOperator {
     #region Parameter properties
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TSPMoveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TSPMoveEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TSPMoveEvaluator.cs	(revision 14711)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("TSPMoveEvaluator", "A base class for operators which evaluate TSP moves.")]
-  [StorableClass("D3A8F739-8AC7-48BA-A173-5C28569FE12F")]
+  [StorableType("D3A8F739-8AC7-48BA-A173-5C28569FE12F")]
   public abstract class TSPMoveEvaluator : SingleSuccessorOperator, ITSPMoveEvaluator, IMoveOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TSPPathMoveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TSPPathMoveEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TSPPathMoveEvaluator.cs	(revision 14711)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("TSPMoveEvaluator", "A base class for operators which evaluate TSP moves.")]
-  [StorableClass("BC838D99-042D-47D4-905B-F1394BA6B6E7")]
+  [StorableType("BC838D99-042D-47D4-905B-F1394BA6B6E7")]
   public abstract class TSPPathMoveEvaluator : TSPMoveEvaluator, ITSPPathMoveEvaluator {
     public ILookupParameter<Permutation> PermutationParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveDistanceMatrixEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveDistanceMatrixEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveDistanceMatrixEvaluator.cs	(revision 14711)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("TSPTranslocationMoveDistanceMatrixEvaluator", "Evaluates a translocation or insertion move (3-opt).")]
-  [StorableClass("BAE4AA5C-83B2-4A09-9CDC-836BDDA5221F")]
+  [StorableType("BAE4AA5C-83B2-4A09-9CDC-836BDDA5221F")]
   public class TSPTranslocationMoveDistanceMatrixEvaluator : TSPMoveEvaluator, IPermutationTranslocationMoveOperator {
     public override Type EvaluatorType {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveEuclideanPathEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveEuclideanPathEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveEuclideanPathEvaluator.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("TSPTranslocationMoveEuclideanPathEvaluator", "Operator for evaluating a translocation or insertion move (3-opt) based on euclidean distances.")]
-  [StorableClass("683A58C4-DC1D-41EA-88D9-A40ADB913DEC")]
+  [StorableType("683A58C4-DC1D-41EA-88D9-A40ADB913DEC")]
   public class TSPTranslocationMoveEuclideanPathEvaluator : TSPTranslocationMovePathEvaluator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveGeoPathEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveGeoPathEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveGeoPathEvaluator.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("TSPTranslocationMoveGeoPathEvaluator", "Operator for evaluating a translocation or insertion move (3-opt) based on geo (world) distances.")]
-  [StorableClass("B9D45307-743D-46E9-BB04-671D88B341D4")]
+  [StorableType("B9D45307-743D-46E9-BB04-671D88B341D4")]
   public class TSPTranslocationMoveGeoPathEvaluator : TSPTranslocationMovePathEvaluator {
     public override Type EvaluatorType {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMovePathEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMovePathEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMovePathEvaluator.cs	(revision 14711)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("TSPTranslocationMovePathEvaluator", "Evaluates a translocation or insertion move (3-opt) by summing up the length of all added edges and subtracting the length of all deleted edges.")]
-  [StorableClass("7D41A96C-4747-4331-A45F-3BE310A85F21")]
+  [StorableType("7D41A96C-4747-4331-A45F-3BE310A85F21")]
   public abstract class TSPTranslocationMovePathEvaluator : TSPPathMoveEvaluator, IPermutationTranslocationMoveOperator {
     public ILookupParameter<TranslocationMove> TranslocationMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveRoundedEuclideanPathEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveRoundedEuclideanPathEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveRoundedEuclideanPathEvaluator.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("TSPTranslocationMoveRoundedEuclideanPathEvaluator", "Operator for evaluating a translocation or insertion move (3-opt) based on rounded euclidean distances.")]
-  [StorableClass("2965AFB8-A737-47F2-A30D-438A39F1EEB2")]
+  [StorableType("2965AFB8-A737-47F2-A30D-438A39F1EEB2")]
   public class TSPTranslocationMoveRoundedEuclideanPathEvaluator : TSPTranslocationMovePathEvaluator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveDistanceMatrixEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveDistanceMatrixEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveDistanceMatrixEvaluator.cs	(revision 14711)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("TSPInversionMoveDistanceMatrixEvaluator", "Evaluates an inversion move (2-opt) by summing up the length of all added edges and subtracting the length of all deleted edges.")]
-  [StorableClass("E77A24BA-77C0-4F46-BBBB-D508B42F10F5")]
+  [StorableType("E77A24BA-77C0-4F46-BBBB-D508B42F10F5")]
   public class TSPInversionMoveDistanceMatrixEvaluator : TSPMoveEvaluator, IPermutationInversionMoveOperator {
     public override Type EvaluatorType {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveEuclideanPathEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveEuclideanPathEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveEuclideanPathEvaluator.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("TSPInversionMoveEuclideanPathEvaluator", "Operator for evaluating an inversion move (2-opt) based on euclidean distances.")]
-  [StorableClass("1D73F835-2941-427E-B1B1-C7E913C5F3F6")]
+  [StorableType("1D73F835-2941-427E-B1B1-C7E913C5F3F6")]
   public class TSPInversionMoveEuclideanPathEvaluator : TSPInversionMovePathEvaluator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveGeoPathEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveGeoPathEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveGeoPathEvaluator.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("TSPInversionMoveGeoPathEvaluator", "Operator for evaluating an inversion move (2-opt) based on geo (world) distances.")]
-  [StorableClass("485443EF-9D6B-418A-A917-CE46D7C83EC5")]
+  [StorableType("485443EF-9D6B-418A-A917-CE46D7C83EC5")]
   public class TSPInversionMoveGeoPathEvaluator : TSPInversionMovePathEvaluator {
     public override Type EvaluatorType {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMovePathEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMovePathEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMovePathEvaluator.cs	(revision 14711)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("TSPInversionMovePathEvaluator", "Evaluates an inversion move (2-opt) by summing up the length of all added edges and subtracting the length of all deleted edges.")]
-  [StorableClass("76FD27FC-B0A6-451F-BB78-C0B7F028FB89")]
+  [StorableType("76FD27FC-B0A6-451F-BB78-C0B7F028FB89")]
   public abstract class TSPInversionMovePathEvaluator : TSPPathMoveEvaluator, IPermutationInversionMoveOperator {
     public ILookupParameter<InversionMove> InversionMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveRoundedEuclideanPathEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveRoundedEuclideanPathEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveRoundedEuclideanPathEvaluator.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("TSPInversionMoveRoundedEuclideanPathEvaluator", "Operator for evaluating an inversion move (2-opt) based on rounded euclidean distances.")]
-  [StorableClass("DAC73CA3-CAC8-4391-813A-9A30A4A2ACDA")]
+  [StorableType("DAC73CA3-CAC8-4391-813A-9A30A4A2ACDA")]
   public class TSPInversionMoveRoundedEuclideanPathEvaluator : TSPInversionMovePathEvaluator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/PathRelinkers/TSPMultipleGuidesPathRelinker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/PathRelinkers/TSPMultipleGuidesPathRelinker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/PathRelinkers/TSPMultipleGuidesPathRelinker.cs	(revision 14711)
@@ -39,5 +39,5 @@
   /// </remarks>
   [Item("TSPMultipleGuidesPathRelinker", "An operator that relinks paths between traveling salesman solutions using a multiple guiding strategy. The operator incrementally changes the initiating solution towards the guiding solution by correcting edges as needed. For each city it choses the best edge from all guiding solutions.")]
-  [StorableClass("BB3E6CA9-FADC-4B8F-9765-3E57047BCD80")]
+  [StorableType("BB3E6CA9-FADC-4B8F-9765-3E57047BCD80")]
   public sealed class TSPMultipleGuidesPathRelinker : SingleObjectivePathRelinker {
     #region Parameter properties
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/PathRelinkers/TSPPathRelinker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/PathRelinkers/TSPPathRelinker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/PathRelinkers/TSPPathRelinker.cs	(revision 14711)
@@ -38,5 +38,5 @@
   /// </remarks>
   [Item("TSPPathRelinker", "An operator that relinks paths between traveling salesman solutions. The operator incrementally assimilates the initiating solution into the guiding solution by correcting edges as needed.")]
-  [StorableClass("A4EA2725-FE98-43CD-85EA-4417CBDADD63")]
+  [StorableType("A4EA2725-FE98-43CD-85EA-4417CBDADD63")]
   public sealed class TSPPathRelinker : SingleObjectivePathRelinker {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/PathRelinkers/TSPSimultaneousPathRelinker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/PathRelinkers/TSPSimultaneousPathRelinker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/PathRelinkers/TSPSimultaneousPathRelinker.cs	(revision 14711)
@@ -38,5 +38,5 @@
   /// </remarks>
   [Item("TSPSimultaneousPathRelinker", "An operator that relinks paths between traveling salesman solutions starting from both ends. The operator incrementally assimilates the initiating solution into the guiding solution and vice versa by correcting edges as needed.")]
-  [StorableClass("09E28798-0BBB-44B0-8D09-FA70517B1D0B")]
+  [StorableType("09E28798-0BBB-44B0-8D09-FA70517B1D0B")]
   public sealed class TSPSimultaneousPathRelinker : SingleObjectivePathRelinker {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/PathTSPTour.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/PathTSPTour.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/PathTSPTour.cs	(revision 14711)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("PathTSPTour", "Represents a tour of a Traveling Salesman Problem given in path representation which can be visualized in the GUI.")]
-  [StorableClass("41A729C4-8091-4922-91F7-EEF90C45164A")]
+  [StorableType("41A729C4-8091-4922-91F7-EEF90C45164A")]
   public sealed class PathTSPTour : Item {
     public static new Image StaticItemImage {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/TravelingSalesmanProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/TravelingSalesmanProblem.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/TravelingSalesmanProblem.cs	(revision 14711)
@@ -39,5 +39,5 @@
   [Item("Traveling Salesman Problem (TSP)", "Represents a symmetric Traveling Salesman Problem.")]
   [Creatable(CreatableAttribute.Categories.CombinatorialProblems, Priority = 100)]
-  [StorableClass("FAC70D8A-6077-4E7A-AD57-A9CDDC4D53A7")]
+  [StorableType("FAC70D8A-6077-4E7A-AD57-A9CDDC4D53A7")]
   public sealed class TravelingSalesmanProblem : SingleObjectiveHeuristicOptimizationProblem<ITSPEvaluator, IPermutationCreator>, IStorableContent,
     IProblemInstanceConsumer<TSPData> {
